package dbtypes

type DATA_POINT_MODE int

const (
	DATA_POINT_MODE_TRAINING DATA_POINT_MODE = 1
	DATA_POINT_MODE_TESTING                  = 2
)

type ModelClassStatus int

const (
	CLASS_STATUS_TO_TRAIN ModelClassStatus = iota + 1
	CLASS_STATUS_TRAINING
	CLASS_STATUS_TRAINED
)

type ModelClass struct {
	Id         string `db:"mc.id" json:"id"`
	ModelId    string `db:"mc.model_id" json:"model_id"`
	Name       string `db:"mc.name" json:"name"`
	ClassOrder int    `db:"mc.class_order" json:"class_order"`
	Status     int    `db:"mc.status" json:"status"`
}
